> ## Documentation Index
> Fetch the complete documentation index at: https://docs.passage.coinlist.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the on-chain ERC-20 balance of an address

> Reads balanceOf(owner) on the ERC-20 token contract. Used to display the balance of the connected wallet the user will pay with.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/token/balance
openapi: 3.0.0
info:
  title: Frontline API
  version: 0.1.0
servers:
  - url: https://api.coinlist.co
    variables: {}
security: []
tags:
  - name: DocumentSubmissions
  - name: KYC
  - name: OAuth
  - name: Offers
  - name: Participations
  - name: Pii
  - name: Requirements
  - name: Swap
  - name: Token
  - name: Wallet
  - name: Wallet Ownership
paths:
  /v1/token/balance:
    get:
      tags:
        - Token
      summary: Get the on-chain ERC-20 balance of an address
      description: >-
        Reads balanceOf(owner) on the ERC-20 token contract. Used to display the
        balance of the connected wallet the user will pay with.
      operationId: getTokenBalance
      parameters:
        - description: The ERC-20 token contract address
          in: query
          name: token_address
          required: true
          schema:
            example: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
            type: string
            x-struct: null
            x-validate: null
        - description: The address owning the tokens
          in: query
          name: owner
          required: true
          schema:
            example: '0x8ba1f109551bd432803012645ac136ddd64dba72'
            type: string
            x-struct: null
            x-validate: null
        - description: >-
            The EVM chain to read from, e.g. ethereum_mainnet, ethereum_sepolia,
            base_mainnet or base_sepolia
          in: query
          name: chain
          required: true
          schema:
            example: ethereum_sepolia
            type: string
            x-struct: null
            x-validate: null
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenBalance'
          description: Successful response.
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
          description: Error response.
      callbacks: {}
      security:
        - OAuth2: []
components:
  schemas:
    TokenBalance:
      additionalProperties: false
      description: Current on-chain ERC-20 balance of an owner address.
      properties:
        balance:
          description: The balance as a uint256 decimal string in the token's smallest unit
          example: '1000000'
          type: string
          x-struct: null
          x-validate: null
        object:
          description: >-
            String representing the object's type. Objects of the same type
            share the same value.
          enum:
            - token_balance
          type: string
          x-struct: null
          x-validate: null
      required:
        - object
        - balance
      title: TokenBalance
      type: object
      x-struct: Elixir.FrontlineAPIWeb.OpenApi.Schemas.TokenBalance
      x-validate: null
    Error:
      additionalProperties: false
      properties:
        code:
          description: A human-readable message providing more details about the error.
          type: string
          x-struct: null
          x-validate: null
        errors:
          additionalProperties:
            items:
              type: string
              x-struct: null
              x-validate: null
            type: array
            x-struct: null
            x-validate: null
          type: object
          x-struct: null
          x-validate: null
        event_id:
          description: >-
            The unique identifier for the error event. This is useful for
            tracking and debugging.
          type: string
          x-struct: null
          x-validate: null
        message:
          description: >-
            For some errors that could be handled programmatically, a short
            string indicating the error code reported.
          type: string
          x-struct: null
          x-validate: null
        type:
          description: >-
            The type of error returned. One of `api_error`,
            `invalid_request_error`
          enum:
            - api_error
            - invalid_request_error
          type: string
          x-struct: null
          x-validate: null
      required:
        - type
        - message
      title: Error
      type: object
      x-struct: Elixir.FrontlineAPIWeb.OpenApi.Schemas.ApiError
      x-validate: null
  securitySchemes:
    OAuth2:
      description: OAuth 2.0 authorization and token endpoints
      flows:
        authorizationCode:
          authorizationUrl: /oauth/authorize
          refreshUrl: /oauth/token
          scopes: {}
          tokenUrl: /oauth/token
        clientCredentials:
          refreshUrl: /oauth/token
          scopes: {}
          tokenUrl: /oauth/token
      type: oauth2

````